import { Client, Producer } from "pulsar-client";
declare class PulsarSlaveFactory {
    private client;
    private producerMap;
    init(): Promise<void>;
    get(): Client;
    /**
     * pulsar生产者
     */
    getProducerByTopic(topic: String): Producer;
}
export { PulsarSlaveFactory, Client, Producer };
